Subject: Re: [PATCH net-next 0/26] bonding: use neighbours instead of own lists

From: Ding Tianhong <[email-masked]>
Date: Tue, 10 Sep 2013 19:08:49 +0800

On 2013/9/10 4:16, Veaceslav Falico wrote:
> (David, feel free to drop the whole patchset - I know that the window is
> closed and I'm quite sure that it's not the last version, and even if it is
> - I'll easily re-submit it. Sorry for the mess :-/)
> 
> Hi,
> 
> RFC -> v1:
> I've added proper, consistent naming for all variables/functions, uninlined
> some helpers to get better backtraces, just in case (overhead is minimal,
> no hot paths), rearranged patches for better review, dropped bondings
> ->prev and bond_for_each_slave_continue() functionality - to be able to
> RCUify it easier, and renamed slave_* sysfs links to lower_* sysfs links to
> maintain upper/lower naming. I've also dropped, thanks to bonding cleanup,
> some heavy and ugly/intrusive patches.
> 
> I'm sending it as early as possible, because it's quite a big patchset and
> some of the approaches I've chosen are not really easy/straightforward.
> It's, however, quite heavily tested already and works fine.
> 
> I'm sending it to gather any feedback possible.
> 
> This patchset introduces all the needed infrastructure, on top of current
> adjacent lists, to be able to remove bond's slave_list/slave->list. The
> overhead in memory/CPU is minimal, and after the patchset bonding can rely
> on its slave-related functions, given the proper locking. I've done some
> netperf benchmarks on a vm, and the delta was about 0.1gbps for 35gbps as a
> whole, so no speed fluctuations.
> 
> It also automatically creates lower/upper and master symlinks in dev's
> sysfs directory.

reviewed, and can't found any problem till now, but it is a big changes,
and I could not sure whether it is the trend of the future for net device,
I'll wait and see everyone's opinion.

Best Regards
Ding

> .